LOCAL lnSelect, loExc AS EXCEPTION, lcFoxCode, lcSystemFoxCode
LOCAL loData AS OBJECT
SET TEXTMERGE ON

LOCAL lcText, lcEndText, lcScript
lcText = "TEXT"
lcEndText = "ENDTEXT"

TEXT TO lcScript TEXTMERGE NOSHOW
LPARAMETERS oFoxcode
LOCAL lcPurpose

IF oFoxcode.Location = 0
   RETURN "FoxyPreview"
ENDIF

oFoxcode.valuetype = "V"

<<lcText>> TO lcScript TEXTMERGE NOSHOW
**********************************************************************
* FoxyPreview sample script
*
SET PROCEDURE TO FoxyPreviewer.prg ADDITIVE

LOCAL loReport AS ReportHelper OF FoxyPreviewer.prg
loReport = CREATEOBJECT("PreviewHelper")

WITH loReport as ReportHelper

	* Add the FRX and clauses here
	.AddReport(_Samples + "\Solution\Reports\colors.frx")
*	.AddReport(_Samples + "\Solution\Reports\wrapping.frx", "NODIALOG FOR title = [S]")


	* Optional available parameters
	.cTitle = "Report custom title" && The preview window title 

	.lSendToEmail     = .T. && adds the send to email button
	.lSaveToFile      = .T. && adds the save to file button
	.lShowCopies      = .T. && shows the copies spinner
	.lShowMiniatures  = .T. && shows the miniatures page
	.nCopies          = 3 && The quantity of copies to be printed
	.lPrintVisible    = .T. && shows the print button in the toolbar
	.lPrinterPref     = .T. && shows the Printer preferences button
	.cDefaultListener = "FXLISTENER"

	.nCanvasCount = 1 && initial nr of pages rendered on the preview form. 
			&& Valid values are 1 (default), 2, or 4.

	.nZoomLevel   = 5 && initial zoom level of the preview window. Possible values are:
			&& 1-10%, 2-25%, 3-50%, 4-75%, 5-100% default, 6-150% ;
			&& 7-200%, 8-300%, 9-500%, 10-whole page

	* Execute the report preview
	.RunReport()
	MESSAGEBOX("Report was " + IIF(.lPrinted, "", "NOT ") + "printed !",64, "Attention !")
ENDWITH
loReport = NULL
RELEASE loReport
**********************************************************************
<<lcEndText>>

RETURN lcScript
ENDTEXT


TRY
	m.lnSelect = SELECT()
	m.lcFoxCode = SYS(2015)
	m.lcSystemFoxCode = SYS(2015)
	SELECT 0
	USE (_FOXCODE) AGAIN SHARED ALIAS (m.lcFoxCode)
	SELECT * FROM (m.lcFoxCode) ;
		WHERE .F. ;
		INTO CURSOR (m.lcSystemFoxCode)	READWRITE

	SCATTER MEMO NAME m.loData
	loData.Abbrev = "FoxyPreview"
	loData.TYPE = "U"
	loData.Cmd = "{}"
	loData.DATA = lcScript
	loData.CASE = "U"
	loData.SAVE = .F.

	SELECT (m.lcFoxCode)
	LOCATE FOR (UPPER(Abbrev) = "FOXYPREVIEW") and not DELETED() 
	IF EOF()
		APPEND BLANK
	ENDIF
	GATHER MEMO NAME m.loData
CATCH TO loExc
	THROW
FINALLY
	USE IN SELECT(m.lcFoxCode)
	USE IN SELECT(m.lcSystemFoxCode)
	SELECT (m.lnSelect)
ENDTRY
RETURN