LOCAL lcPath
lcPath = ADDBS(JUSTPATH(SYS(16)))
SET PATH TO (lcPath) ADDITIVE

IF NOT FILE("FoxyPreviewer.App")
	MESSAGEBOX("Please locate the file 'FoxyPreviewer.App' to run these samples")
ENDIF 

SET PROCEDURE TO LOCFILE("FoxyPreviewer.App")
SET SYSMENU OFF 
ON SHUTDOWN QUIT

	* If there is another Preview factory, disable it
	* http://spacefold.com/colin/archive/articles/reportpreview/rp_extend.html
	TRY 
		_oReportOutput["1"].PreviewContainer = .NULL.
	CATCH 
	ENDTRY 

	* Prepare the new Report preview factory
	LOCAL lcFile
	lcFile = FULLPATH("FoxyPreviewer.App")
	_ReportPreview = lcFile
	SET REPORTBEHAVIOR 90


_Screen.WindowState = 2 && Maximized
_Screen.BackColor = RGB(0,64,128)
_Screen.Caption = "FOXYPREVIEWER IN AN EXE"

_Screen.AddObject("oLabel", "Label")
WITH _Screen.oLabel as Label
	.AutoSize = .T. 
	.BackStyle = 0 && Transparent
	.Caption = "FoxyPreviewer testing in an EXE"
	.FontBold = .T. 
	.FontSize = 24
	.ForeColor = RGB(255,255,255)
	.Top = 50
	.Left = 100
	.Visible = .T. 
ENDWITH 

_Screen.AddObject("oCmdScreen"  , "cmdInscreen")
_Screen.AddObject("oCmdTopLevel", "cmdTopLevel")
_Screen.AddObject("oCmdInWindow", "cmdInWindow")
_Screen.AddObject("oCmdOrdinary", "cmdOrdinary")
_Screen.AddObject("oCmdOrdinary2", "cmdOrdinary2")

READ EVENTS
CLEAR EVENTS 

IF _VFP.Startmode = 4 && EXE or APP
	CLEAR ALL
	ON SHUTDOWN
	QUIT
ENDIF

DEFINE CLASS cmdInScreen AS MyButton
	Caption = "In _Screen Form"
	Top  = 200

	PROCEDURE Click
		DO FORM TestForm
	ENDPROC
ENDDEFINE

DEFINE CLASS cmdTopLevel AS MyButton
	Top  = 260
	Caption = "Top-Level Form"

	PROCEDURE Click
		DO FORM TestFormTopLevel
	ENDPROC
ENDDEFINE

DEFINE CLASS cmdInWindow AS MyButton
	Top  = 320
	Caption = "Custom window"

	PROCEDURE Click
		DO FORM TestFormInWindow
	ENDPROC
ENDDEFINE

DEFINE CLASS cmdOrdinary AS MyButton
	Top  = 380
	Caption = "Ordinary report"
	ToolTipText = "Run a predetermined report using the _REPORTPREVIEW factory"

	PROCEDURE Click

		* Run a report in the original way
		* From now on, all the reports from your APP will use this factory
		REPORT FORM (ADDBS(HOME(1)) + "Samples\Solution\Reports\colors.frx") PREVIEW

	ENDPROC
ENDDEFINE

DEFINE CLASS cmdOrdinary2 AS MyButton
	Top  = 440
	Caption = "Your report"
	ToolTipText = "Run a the report that you choose using the _REPORTPREVIEW factory"

	PROCEDURE Click

		MESSAGEBOX("Choose any report to see how it will run under the FoxyPreviewer interface." + CHR(13) + ;
			"Using the original REPORT FORM command", 64, "FoxyPreviewer")

		TRY 
			SET DEFAULT TO (ADDBS(HOME(1)) + "Samples\Solution\Reports\")
		CATCH
		ENDTRY
		
		LOCAL lcFRX
		lcFRX = GETFILE("FRX")
		* Run a report in the original way
		* From now on, all the reports from your APP will use this factory
		REPORT FORM (lcFRX) PREVIEW
	ENDPROC
ENDDEFINE



DEFINE CLASS myButton as CommandButton
	Left = 100
	FontSize = 16
	Width = 210
	Height = 40
	Visible = .T.
ENDDEFINE