SET PROCEDURE TO LOCFILE("FoxyPreviewer.App") ADDITIVE 

LOCAL loReport as "PreviewHelper" OF "FoxyPreviewer.App"
loReport = CREATEOBJECT("PreviewHelper")

WITH loReport as ReportHelper of "FoxyPreviewer.App"

	.AddReport(_Samples + "\Solution\Reports\colors.frx", "range 1,1 NODIALOG")
	.AddReport(_Samples + "\Solution\Reports\wrapping.frx", "NODIALOG FOR title = [S]")
	*	.AddReport(_Samples + "\Solution\Reports\percent.frx", "NODIALOG")
	*	.AddReport(_Samples + "\Solution\Reports\wrapping.frx", "NODIALOG FOR title = [S] RANGE 3,3")
	*	.AddReport(_Samples + "\Solution\Reports\colors.frx", "NODIALOG")
	*	.AddReport(_Samples + "\Solution\Reports\invoice.frx", "NEXT 25 NODIALOG")

	* Optional available parameters
	.cTitle = "FoxyPreviewer Report custom title" && The preview window title 
	*	.cTitle = "FoxyPreviewer Informe traducido al espaniol" && The preview window title in spanish

	.lSendToEmail  = .F. && adds the send to email button
	.lSaveToFile   = .T. && adds the save to file button
	.lShowCopies   = .T. && shows the copies spinner
	.lShowMiniatures = .T. && shows the miniatures page
	.nCopies       = 1 && The quantity of copies to be printed
	.lPrintVisible = .T. && shows the print button in the toolbar
	.cDefaultListener = "ReportListener"

	.nCanvasCount = 1 && initial nr of pages rendered on the preview form. 
			&& Valid values are 1 (default), 2, or 4.

	.nZoomLevel = 5 && initial zoom level of the preview window. Possible values are:
			&& 1-10%, 2-25%, 3-50%, 4-75%, 5-100% default, 6-150% ;
			&& 7-200%, 8-300%, 9-500%, 10-whole page
	
	.RunReport()
	
	DO CASE
	CASE .lPrinted	
		MESSAGEBOX("Report was printed !",64, "Report status")

	CASE .lSaved
		MESSAGEBOX("Report was saved as file:" + CHR(13) + .cDestFile,;
			64, ;
			"Report status")
		=OpenFile(.cDestFile)

	OTHERWISE
		MESSAGEBOX("Report Preview was closed without saving or printing",48, "Report status")

	ENDCASE

ENDWITH
*loReport = NULL
*RELEASE loReport

RETURN


PROCEDURE OpenFile(tcFileName)
	DECLARE INTEGER ShellExecute ;
          IN SHELL32.DLL ;
          INTEGER nWinHandle,;
          STRING cOperation,;   
          STRING cFileName,;
          STRING cParameters,;
          STRING cDirectory,;
          INTEGER nShowWindow
	RETURN ShellExecute(0, "open", m.tcFileName, "", "", 1)
ENDPROC