*---------------------------------------- 
* Displaying a proof sheet
* Devcon 2004,2005 example
* (c) Colin Nicholls, Lisa Nicholls
*---------------------------------------- 
do demo	&& see end of file

*------------------------------------------------
* Extension Handler Class Definition:
*------------------------------------------------
DEFINE CLASS MyExtension AS Custom

	* The preview container's SetExtensionHandler() method
	* will assign a value to this property:
	PreviewForm = NULL

	PROCEDURE DoProof()
		x = newobject("ProofSheet","proofsheet.vcx")
		x.SetReport( THIS.PreviewForm.oReport )
		x.Show(1)
		* read the selected page and move to it, 
		* using the .SetCurrentPage() method of 
		* the default preview container:
		THIS.PreviewForm.SetCurrentPage( x.Currentpage )
	ENDPROC

    PROCEDURE Show( iStyle )
        *---------------------------------------------
      	* Add our Find button to the toolbar:
    	*---------------------------------------------
        THIS.PreviewForm.Toolbar.AddObject("cmdProof","MyButton")
        THIS.PreviewForm.Toolbar.cmdProof.Visible = .T.
    ENDPROC

   PROCEDURE AddBarsToMenu( cPopup, iNextBar )
        DEFINE BAR iNextBar ;
	    OF (m.cPopup) ;
	    PROMPT "\<Proof sheet..." 
		* It is a documented fact that, at the time
		* the popup is activated, there is an object 
		* reference to the PreviewContainer instance
		* in scope in a variable called "oRef":
        ON SELECTION BAR iNextBar OF (m.cPopup) ; 
	    oRef.ExtensionHandler.DoProof()
    ENDPROC

	*---------------------------------
	* default hook methods, unchanged.
	* In SP1 these won't be required.
	*---------------------------------
	
    PROCEDURE Release()
        RETURN .T.
    ENDPROC

    PROCEDURE HandledKeyPress( nKeyCode, nShiftAltCtrl )
		RETURN .F.
    ENDPROC

    PROCEDURE Paint()
    ENDPROC
  
ENDDEFINE

*------------------------------------------------
* Simple Button class used below - see Show() method
*------------------------------------------------
DEFINE CLASS MyButton AS CommandButton

   Caption = "Proof"
   Autosize = .T.
   Height = 23
   Font = "tahoma"
   Fontsize = 8
   
   PROCEDURE Click()
      THIS.Parent.PreviewForm.ExtensionHandler.DoProof()
   ENDPROC
  
ENDDEFINE



PROCEDURE Demo

* Now create our extension handler:
oXH = createobject("MyExtension")

* Create a default preview container instance:
oPC = null
do (_REPORTPREVIEW) with m.oPC

* Assign the extension handler to the preview container:
oPC.setExtensionHandler( m.oXH )


* Create a standard report listener:
oRL = createobject("ReportListener")
oRL.ListenerType = 1
oRL.PreviewContainer = m.oPC

* Preview a report, hooking everything together:
REPORT FORM ? to printer prompt OBJECT m.oRL 

RETURN
